Bug 239176 - Review Request: bodr - Blue Obelisk Data Repository
Review Request: bodr - Blue Obelisk Data Repository
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-05-05 12:01 EDT by Julian Sikorski
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-27 08:38:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mr.ecik: fedora‑review+
tcallawa: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2007-05-05 12:01:34 EDT
Spec URL: http://www.belegdol.republika.pl/rpmstuff/bodr.spec
SRPM URL: http://www.belegdol.republika.pl/rpmstuff/bodr-6-1.src.rpm
Description: The Blue Obelisk Data Repository lists many important chemoinformatics data such as element and isotope properties, atomic radii, etc. including references to original literature. Developers can use this repository to make their software interoperable.

This package is required for the next version of gnome-chemistry-utils, which will be out soon. Package builds in mock (fc6/x86_64) and apart from one warning:
W: bodr devel-file-in-non-devel-package /usr/share/pkgconfig/bodr.pc
rpmlint is silent. I think there is not much point moving the pkgconfig file to -devel subpackage, as it is only one file, not a library, and other gnome-chemistry-utils dependencies require pkgconfig anyway.
Comment 1 Michał Bentkowski 2007-05-25 11:40:36 EDT
Let's do it.
 - md5sums are ok: 7719e785e1f416179de85c7a7f889eb1
 - package successfully builds in mock
 - the only issue can be found here is libdir match in .pc file. But it's going 
to be got rid so everyting is ok.

Comment 2 Julian Sikorski 2007-05-25 12:38:21 EDT
New Package CVS Request
Package Name: bodr
Short Description: Blue Obelisk Data Repository
Owners: belegdol@gmail.com
Branches: F-7
Comment 3 Tom "spot" Callaway 2007-05-25 13:02:58 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.